FSDreamTeam forum
November 16, 2019, 04:38:11 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News:
 
   Home   Help Login Register  
Pages: [1]
  Print  
Author Topic: Installing Geneva without GSX  (Read 909 times)
SF-260
Newbie
*
Posts: 9


« on: July 04, 2019, 05:12:26 PM »

Hi,

I bought LSGG in the days of FSX (2014) and still have the installer 'lsgg_fsx_setup' 92.7 Mb.

I downloaded the latest version 2 weeks ago and installed it but it forced me to install GSX that I don't need, plus I have an error message when I exit P3D because I am on Win7 which is no more supported by FSDT if I understood correctly.

Can you please provide me some instructions to install the FSX version of LSGG into P3Dv4.4?
Logged
virtuali
Administrator
Hero Member
*****
Posts: 36640



WWW
« Reply #1 on: July 04, 2019, 06:22:15 PM »

GSX still works perfectly fine in Windows 7.

It's just that, in some cases (doesn't happen everywhere), there's a crash on exit, which can be safely ignored, since it happens when the simulator has already closed, so it won't affect anything, and Windows is certainly able to automatically free any resources that might be eventually not freed by that error.

That's the only extent of the issues of using Windows 7. But some users don't want to see that error, and asked for a fix, and in THAT'S what it means Windows 7 is "unsupported", because it IS. It's has been unsupported by Microsoft since 2015, and because of this we don't have any means to investigate on WHY this totally harmless error message appears.

Starting from January, Windows 7 will go *totally* unsupported by Microsoft, even the security updates will stop, and still using Windows 7 after that date, it's highly irresponsible, especially if your PC is connected to the internet, because all Windows 7 systems will become the prime target for hackers.

You bought the scenery when it was for FSX only, you can install what you bought and use it for the simulator you bought. If you want to use it in P3D4, you must use it on a supported OS, because that's the way the P3D4 version works.
Logged

SF-260
Newbie
*
Posts: 9


« Reply #2 on: July 04, 2019, 06:30:45 PM »

I'm sad but thank you for your extensive reply Umberto.
Logged
SF-260
Newbie
*
Posts: 9


« Reply #3 on: July 04, 2019, 09:48:06 PM »

I will not buy sceneries or utilities anymore from FSDT.
Logged
virtuali
Administrator
Hero Member
*****
Posts: 36640



WWW
« Reply #4 on: July 05, 2019, 04:01:30 PM »

I will not buy sceneries or utilities anymore from FSDT.

They said the same when we dumped FS9 years ago. Nobody use FS9 today.

No, you WILL update to Windows 10, both because starting from January, you won't be able to use Windows 7 safely anymore, but also because sooner or later you WILL change your PC, and you can't get a new PC with Windows 7 anymore, since years.

So no, don't worry, we WILL see you again, on your next new Windows 10 system, that's a given.
Logged

SF-260
Newbie
*
Posts: 9


« Reply #5 on: July 06, 2019, 12:07:21 PM »

Hi Umberto,

I must admit that you are right for Windows 10.

It's just that for some reasons I cannot move to Windows 10 right now.

What I really don't understand is: why, for the current P3D version of LSGG you force the user to install GSX while I don't need it (I don't need jetways, SODE, ground operations, etc.)?

I am not aware of an addon scenery developer who forces users to install GSX in order to use a scenery?

Plus there is the error on exiting (already discussed), and plus the slowing of the display of the P3D Aircraft menu because of GSX (you already explained why on AVSIM).

In the end I would much appreciate if you could give me a tip or a trick to install the current version of LSGG for P3Dv4 (which it is meant for) without being forced to install your other product GSX. I think it is a valid user request?
Logged
virtuali
Administrator
Hero Member
*****
Posts: 36640



WWW
« Reply #6 on: July 06, 2019, 12:19:54 PM »

What I really don't understand is: why, for the current P3D version of LSGG you force the user to install GSX while I don't need it (I don't need jetways, SODE, ground operations, etc.)?

Because we replaced all the original default BUGGY jetways with proper GSX/SODE jetways.

Quote
I am not aware of an addon scenery developer who forces users to install GSX in order to use a scenery?

Several developers forces you to install SODE, because they use it for many scenery objects, not just jetways so, no difference here. But that's besides the point, how would be different if we just updated the Geneva installer to include ALL files required, including GSX ?

Several developers forces you to install and keep updated their product using a common installer. Never hear of "FlyTampa Libraries" before ? Call it "GSX", and it's EXACTLY THE SAME.

You would feel Geneva would "force" you to install GSX, which is a feel you only get now because of the message you see on screen. You would just have a larger Geneva installer, and a more inefficient installer, because we would have an unnecessary duplication of files in all our installer, if we had to place duplicated GSX file everywhere.

So, clearly, it's more efficient for everybody, having an installer ( GSX ) you install only once, and many smaller installers for sceneries that don't have any data duplication. Call it "FSDT Libraries", if GSX doesn't sit well for you.

Quote
Plus there is the error on exiting (already discussed)

Only caused by your usage of an OS which has been unsupported by MS since 2015.

Quote
and plus the slowing of the display of the P3D Aircraft menu because of GSX (you already explained why on AVSIM).

Not happening anymore with the update, because we reduced the number of installed Simobjects by about 7000 less. In PBR, of course.

Logged

SF-260
Newbie
*
Posts: 9


« Reply #7 on: July 06, 2019, 12:35:16 PM »

I get your points.

My last argument is that FlyTampa or OrbX Libraries for example do not cause an error on exiting P3D.

Ok I understand that you will not do an action for me but maybe you can give me an advice?

If I:
1) Reinstall FSX
2) Reinstall LSGG for FSX
3) Copy paste the LSGG scenery folder into P3D Scenery Addons
4) Add manually LSGG to the scenery Library of P3D

Will that work? (As I said, I don't neet jetways, PBR and so on).
Logged
virtuali
Administrator
Hero Member
*****
Posts: 36640



WWW
« Reply #8 on: July 06, 2019, 12:42:27 PM »

My last argument is that FlyTampa or OrbX Libraries for example do not cause an error on exiting P3D.

For the obvious reason they are "just" libraries of objects.

Our software is way more complex, and has lots of interactions with Windows and DirectX 11 (which has been designed for Windows 10, it under performs in Windows 7) and one of the main benefits of using DirectX 11 for all logos is PRECISELY what allowed us to reduce the number of objects by such a great factor, speeding up the startup of the sim AND the aircraft selection page.

Now, it would be nice if other developers did that too. Something like an AI traffic product, for example, will benefit greatly from the same method we used for our own logos, since they might also dramatically decrease the number of repaints, and make the sim starting up even faster.


Quote
Will that work? (As I said, I don't neet jetways, PBR and so on).

Nothing works with installing manually and adding the scenery manually. There's only ONE solution that works and it's very simple:

1) INSTALL the latest GSX

2) Install the latest LSGG

3) Enjoy the new nicer looking AND bug-free PBR jetways at LSGG.
Logged

SF-260
Newbie
*
Posts: 9


« Reply #9 on: July 06, 2019, 12:58:10 PM »

So I confess (but you would easily imagine) that I still like your LSGG and I will not buy the RFScenery version.

Maybe the Aerosoft version if it is better than yours.

Otherwise I will have to wait for the day when I move to Win 10 and accept the idea to install GSX.

Thank you for your time.
Logged
virtuali
Administrator
Hero Member
*****
Posts: 36640



WWW
« Reply #10 on: July 06, 2019, 01:15:52 PM »

So I confess (but you would easily imagine) that I still like your LSGG and I will not buy the RFScenery version.

Maybe the Aerosoft version if it is better than yours.

With the free GSX update  and the free LSGG update, there's nothing to buy...sorry for trying to keep our older products updated to the latest standards without requiring to purchase anything.
Logged

Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2015, Simple Machines Valid XHTML 1.0! Valid CSS!